package editor

import "testing"

func TestNew(t *testing.T) {
	e := NewEditor()

	if e == nil {
		t.Errorf("Failed to create editor")
	}
}

func TestInsertChar(t *testing.T) {
	e := NewEditor()
	e.insertChar('q')

	if e.doc.RowCount() != 1 {
		t.Errorf("A row was not created when the character was inserted")
	}

	row := e.doc.GetRow(0)
	if row.Size() != 1 {
		t.Errorf("Failed to add character to row. Row: %v", row)
	}
}
